Subject: Re: Postgres 7.4.3-1, plperl and perl-5.8.2
From: "Gerrit P. Haase" <[email-masked]>
To: Kumar Pandey <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 24 Aug 2004 10:56:18 +0200

Kumar wrote:

> Hi
>  I'm trying to install plperl in Postgres 7.4.3-1 that
> comes with cygwin on XP Home edition.

> as per cygcheck - plperl install is failing as it
> can't find perl5.8.2 dll. 

> cygwin installer only allows me to install either 
> perl 5.6.1-2 or perl perl-5.8.5.3

> How do I intall perl-5.8.2 so that plperl language can
> be installed.

To get it running, get the source of plperl, extract it, run:
perl Makefile.PL
make
make test
make install
in the plperl source directory.  In case of problems please contact the
author or the person who provides the binary package.

I don't know if postgres for Cygwin will be maintained in future, if so,
maybe the postgres maintainer includes plperl (or updates the postgres
package if plperl is already included there).

As third option, I'll upload the perl-5.8.2 package again, though this
may last some hours until it arrives at your mirror.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/